## pyside-mobility 0.2-0maemo1

=== CMakeLists.txt ===
include(icecc.cmake) # this must be the first line!

project(pysidemobility)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules/
                      ${CMAKE_MODULE_PATH})
find_package(PythonLibs REQUIRED)
find_package(PythonInterpWithDebug REQUIRED)
find_package(Shiboken REQUIRED)
find_package(PySide 0.4.2 REQUIRED)
find_package(Qt4 4.6.2 REQUIRED)
SET(SUPPORTED_QT_VERSION "4.6.0")
find_package(QtMobility 1.0.0 REQUIRED )


if(CMAKE_HOST_UNIX)
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimization library size and performance. Only available on Release Mode" 0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden -Wno-strict-aliasing")
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()

    if(CMAKE_HOST_APPLE)
        if (NOT QT_INCLUDE_DIR)
            set(QT_INCLUDE_DIR "/Library/Frameworks")
         endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

option(AVOID_PROTECTED_HACK "Avoid protected hack on generated bindings." FALSE)
if(AVOID_PROTECTED_HACK OR WIN32)
    add_definitions(-DAVOID_PROTECTED_HACK)
    message(STATUS "Avoiding protected hack!")
endif()

set(BINDING_NAME QtMobility)
set(BINDING_API_MAJOR_VERSION "0")
set(BINDING_API_MINOR_VERSION "2")
set(BINDING_API_MICRO_VERSION "0")
set(BINDING_API_VERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}.${BINDING_API_MICRO_VERSION}")

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

include(${QT_USE_FILE})

set(BINDING_VERSION ${BINDING_API_VERSION})
find_program(GENERATOR generatorrunner REQUIRED)

if (NOT GENERATOR)
    message(FATAL_ERROR "You need to specify GENERATOR variable (-DGENERATOR=value)")
endif()

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


set(ARCHIVE_NAME pyside-mobility-${BINDING_API_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
    OUTPUT_VARIABLE SITE_PACKAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT SITE_PACKAGE)
    message(FATAL_ERROR "Could not detect Python module installation directory.")
endif()

# Detect if the python libs were compiled in debug mode
execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_config_var('Py_DEBUG')"
    OUTPUT_VARIABLE PY_DEBUG
    OUTPUT_STRIP_TRAILING_WHITESPACE)

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    if(NOT PYTHON_DEBUG_LIBRARIES)
        message(FATAL_ERROR "Python debug library not found. Try compile PySide with -DCMAKE_BUILD_TYPE=Release")
    endif()
    if(NOT PY_DEBUG)
        message(WARNING "Compiling PySide with debug enabled, but the python executable was not compiled with debug support.")
    else()
        add_definitions("-DPy_DEBUG")
    endif()
    set(PYSIDE_PYTHON_LIBRARIES ${PYTHON_DEBUG_LIBRARIES})
else()
    set(PYSIDE_PYTHON_LIBRARIES ${PYTHON_LIBRARIES})
endif()

set(GENERATOR_EXTRA_FLAGS --generatorSet=shiboken --enable-parent-ctor-heuristic --enable-pyside-extensions --enable-return-value-heuristic)

enable_testing()

add_subdirectory(${BINDING_NAME})
add_subdirectory(doc)
add_subdirectory(tests)

=== QtMobility/Contacts/CMakeLists.txt ===
project(Contacts)

set(Contacts_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/contacts_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_contacts_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactabstractrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactabstractrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactaddress_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactanniversary_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactanniversary_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactavatar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactavatar_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactbirthday_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactbirthday_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangelogfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangelogfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangeset_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangeset_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionfetchrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionremoverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionsaverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinition_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfielddefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfielddefinition_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailrangefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailrangefilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetail_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetail_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdisplaylabel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdisplaylabel_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactemailaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactemailaddress_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfamily_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfamily_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchhint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchhint_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgender_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgender_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgeolocation_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgeolocation_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactglobalpresence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactglobalpresence_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactguid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactguid_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactid_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactintersectionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactintersectionfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactinvalidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactinvalidfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfetchrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerenginefactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerenginefactory_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerengine_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactname_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactname_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnickname_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnickname_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnote_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnote_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactonlineaccount_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactonlineaccount_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactorganization_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactorganization_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactphonenumber_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactphonenumber_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactpresence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactpresence_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfetchrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipremoverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipsaverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationship_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationship_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactremoverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactringtone_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactringtone_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsaverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsortorder_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsynctarget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsynctarget_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttag_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttag_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactthumbnail_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactthumbnail_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttimestamp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttimestamp_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttype_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactunionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactunionfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacturl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacturl_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontact_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontact_wrapper.h
)

set(Contacts_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
)

set(Contacts_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_CONTACTS_LIBRARY}
)

CREATE_PYSIDE_MODULE(Contacts
                     ${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
                     Contacts_SRC
                     Contacts_INCLUDE_DIRECTORIES
                     Contacts_LINK_LIBRARIES)

=== QtMobility/Feedback/CMakeLists.txt ===
project(Feedback)

set(Feedback_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/feedback_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_feedback_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_qfeedbackactuator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_qfeedbackactuator_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_qfeedbackeffect_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_qfeedbackeffect_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_qfeedbackhapticseffect_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_qfeedbackhapticseffect_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_qfeedbackfileeffect_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Feedback/qtmobility_qfeedbackfileeffect_wrapper.h
)

set(Feedback_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_FEEDBACK_INCLUDE_DIR}
)

set(Feedback_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_FEEDBACK_LIBRARY}
)

CREATE_PYSIDE_MODULE(Feedback
                     ${QT_MOBILITY_FEEDBACK_INCLUDE_DIR}
                     Feedback_SRC
                     Feedback_INCLUDE_DIRECTORIES
                     Feedback_LINK_LIBRARIES)

=== QtMobility/MultimediaKit/CMakeLists.txt ===
project(MultimediaKit)

set(MultimediaKit_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/multimediakit_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudiodeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudiodeviceinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudioinput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudioinput_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudiooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudiooutput_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractvideobuffer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractvideobuffer_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractvideosurface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractvideosurface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiocapturesource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiocapturesource_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiodeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiodeviceinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioencodercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioencodersettings_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioendpointselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioendpointselector_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioformat_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioformat_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioinput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioinput_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiooutput_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiosystemfactoryinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiosystemfactoryinterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiosystemplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiosystemplugin_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudio_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudio_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qgraphicsvideoitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qgraphicsvideoitem_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qimageencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qimageencodercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qimageencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qimageencodersettings_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qlocalmediaplaylistprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qlocalmediaplaylistprovider_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediabindableinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediabindableinterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontainercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontainercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontent_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaimageviewer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaimageviewer_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaobject_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplayercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplayercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplayer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplayer_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistcontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistcontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistiointerface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistiointerface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistioplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistioplugin_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistnavigator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistnavigator_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistprovider_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistreader_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistsourcecontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistsourcecontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylist_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistwriter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistwriter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediarecordercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediarecordercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediarecorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediarecorder_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaresource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaresource_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicefeaturesinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicefeaturesinterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderfactoryinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderfactoryinterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderhint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderhint_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderplugin_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicesupporteddevicesinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicesupporteddevicesinterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicesupportedformatsinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicesupportedformatsinterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservice_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediastreamscontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediastreamscontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediatimeinterval_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediatimeinterval_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediatimerange_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediatimerange_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmetadatareadercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmetadatareadercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmetadatawritercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmetadatawritercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qradiotunercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qradiotunercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qradiotuner_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qradiotuner_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qtmobility_multimediakit_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qtmultimediakit_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qtmultimediakit_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideodevicecontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideodevicecontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoencodercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoencodersettings_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoframe_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoframe_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideorenderercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideorenderercontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideosurfaceformat_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideosurfaceformat_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowidgetcontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowidgetcontrol_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowidget_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowindowcontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowindowcontrol_wrapper.h
)

set(MultimediaKit_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTGUI_INCLUDE_DIR}
${QT_MOBILITY_MULTIMEDIAKIT_INCLUDE_DIR}

=== QtMobility/PublishSubscribe/CMakeLists.txt ===
project(PublishSubscribe)

set(PublishSubscribe_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/PublishSubscribe/publishsubscribe_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/PublishSubscribe/qtmobility_qvaluespace_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/PublishSubscribe/qtmobility_qvaluespacepublisher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/PublishSubscribe/qtmobility_qvaluespacesubscriber_wrapper.cpp
)

set(PublishSubscribe_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_PUBLISHSUBSCRIBE_INCLUDE_DIR}
)

set(PublishSubscribe_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_PUBLISHSUBSCRIBE_LIBRARY}
)

CREATE_PYSIDE_MODULE(PublishSubscribe
                     ${QT_MOBILITY_PUBLISHSUBSCRIBE_INCLUDE_DIR}
                     PublishSubscribe_SRC
                     PublishSubscribe_INCLUDE_DIRECTORIES
                     PublishSubscribe_LINK_LIBRARIES)

=== QtMobility/ServiceFramework/CMakeLists.txt ===
project(ServiceFramework)

set(ServiceFramework_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qabstractsecuritysession_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qabstractsecuritysession_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservice_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicecontext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicecontext_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicefilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceinterfacedescriptor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceinterfacedescriptor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicemanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicemanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceplugininterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceplugininterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_serviceframework_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/serviceframework_module_wrapper.cpp
)

set(ServiceFramework_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_SERVICEFRAMEWORK_INCLUDE_DIR}
)

set(ServiceFramework_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_SERVICEFRAMEWORK_LIBRARY}
)

CREATE_PYSIDE_MODULE(ServiceFramework
                     ${QT_MOBILITY_SERVICEFRAMEWORK_INCLUDE_DIR}
                     ServiceFramework_SRC
                     ServiceFramework_INCLUDE_DIRECTORIES
                     ServiceFramework_LINK_LIBRARIES)

=== QtMobility/Versit/CMakeLists.txt ===
project(Versit)

set(Versit_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporterdetailhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporterdetailhandler_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporterpropertyhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporterpropertyhandler_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdefaultresourcehandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdefaultresourcehandler_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdocument_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdocument_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitproperty_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitproperty_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitreader_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitresourcehandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitresourcehandler_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitwriter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitwriter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_versit_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/versit_module_wrapper.cpp
)

set(Versit_INCLUDE_DIRECTORIES
${Contacts_BINARY_DIR}/${BINDING_NAME}/Contacts/
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
${QT_MOBILITY_VERSIT_INCLUDE_DIR}
)

set(Versit_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_CONTACTS_LIBRARY}
${QT_MOBILITY_VERSIT_LIBRARY}
)
set(typesystem_path ${Contacts_SOURCE_DIR})
CREATE_PYSIDE_MODULE(Versit
                     ${QT_MOBILITY_VERSIT_INCLUDE_DIR}:${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
                     Versit_SRC
                     Versit_INCLUDE_DIRECTORIES
                     Versit_LINK_LIBRARIES)

set(typesystem_path "")

add_dependencies(Versit Contacts)

=== debian/changelog ===
pyside-mobility (0.2-0maemo1) unstable; urgency=low

  * Now building with PySide 0.4.2 and Qt4.7.
    + Disabled QtBearer module.
    + Renamed packages to python-qtmobility.<module>

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Wed, 27 Oct 2010 20:56:29 +0000

=== debian/control ===
Source: pyside-mobility
Section: python
Priority: optional
Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 0.5.1), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.5.1), python-pyside (>= 0.4.2), libpyside-dev (>= 0.4.0)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: pyside-mobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: pyside-mobility-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: python-qtmobility.contacts
Replaces: pyside-mobility-contacts
Provides:pyside-mobility-contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: python-qtmobility.location
Replaces: pyside-mobility-location
Provides:pyside-mobility-location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: python-qtmobility.messaging
Replaces: pyside-mobility-messaging
Provides:pyside-mobility-messaging
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui, python-pyside.qtxml
Description: Qt Mobility Messaging module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Messaging module.

Package: python-qtmobility.publishsubscribe
Replaces: pyside-mobility-publishsubscribe
Provides:pyside-mobility-publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork, python-pyside.qtxml
Description: Qt Mobility Publish and Subscribe module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Publish and Subscribe module.

Package: python-qtmobility.sensors
Replaces: pyside-mobility-sensors
Provides:pyside-mobility-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: python-qtmobility.serviceframework
Replaces: pyside-mobility-serviceframework
Provides:pyside-mobility-serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: python-qtmobility.systeminfo
Replaces: pyside-mobility-systeminfo
Provides:pyside-mobility-systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtnetwork
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: python-qtmobility.versit
Replaces: pyside-mobility-versit
Provides:pyside-mobility-versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtgui, python-qtmobility.contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.
